---

- name: Selinux... enable seboolean settings
  seboolean:
    name: "{{ item }}"
    state: yes
    persistent: yes
  with_items:
    - httpd_unified
    - httpd_graceful_shutdown
    - httpd_can_network_relay
    - httpd_can_network_connect
    - httpd_can_network_connect_db
    - daemons_enable_cluster_mode
    - httpd_use_fusefs
    - httpd_use_cifs
    - httpd_use_gpg
    - httpd_use_nfs
    - httpd_execmem
    - httpd_can_sendmail

# if you have trouble with php-fpm and selinux in this nextcloud configuration :
# # ausearch -c 'php-fpm' --raw | audit2allow -M my-phpfpm
# # semodule -X 300 -i my-phpfpm.pp
# # ausearch -c 'df' --raw | audit2allow -M my-df
# # semodule -X 300 -i my-df.pp
